Bug 79502 - (xkb) deadkeys are b0rk3n
(xkb) deadkeys are b0rk3n
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: XFree86 (Show other bugs)
beta2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-12 09:19 EST by Harald Hoyer
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-03 11:10:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2002-12-12 09:19:53 EST
XFree86-4.2.99.2-0.20021210.0

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option      "XkbRules" "xfree86"
        Option      "XkbModel" "pc102"
        Option      "XkbLayout" "de"
EndSection

nothing changed
only updated from 4.2.99.2-0.20021110.10 or so...
If you want, I can find out, in which version it broke..
Comment 1 Mike A. Harris 2002-12-12 10:09:19 EST
Yes please, that would be helpful
Comment 2 Mike A. Harris 2003-02-03 05:05:13 EST
Believed to be fixed in rawhide now and for a while.  If the bug is still
present, please report to xfree86@xfree86.org first, and reopen here to
track.
Comment 3 Mike A. Harris 2003-02-03 05:05:41 EST
Just realized this should be MODIFIED instead of RAWHIDE... changing...
Comment 4 Harald Hoyer 2003-02-03 10:47:11 EST
^ and ~ do not work with  
XFree86-4.2.99.3-20030115.0 
 
Section "InputDevice" 
        Identifier  "Keyboard0" 
        Driver      "keyboard" 
        Option      "XkbRules" "xfree86" 
        Option      "XkbModel" "pc105" 
        Option      "XkbLayout" "de" 
EndSection 
 
"^" e.g. is left to the "1" key.... (quake console key :-) 
Comment 5 Mike A. Harris 2003-02-03 11:10:51 EST
XFree86-4.2.99.3-20030115.0 is not what is in rawhide harald.

The one in RAWHIDE, which is XFree86-4.2.99.4-20030129.4 is believed
to have fixed the deadkeys problems.  This came _after_ Jan 15th.

Please test latest rawhide first.


 776. Fixes for a few "nodeadkeys" XKB maps (David Dawes).
 775. Protect magic cookie from short-lived exposure on command line in
      startx (Christian Biere).
 774. Fix ELF loader to ignore -g debugging information
      (#A.1539, Juergen Keil).
 773. Fix artifacts left by XDarwin when reshaping a shaped window (reported
      by Adrian Umpleby).
 772. Fix XDarwin rootless crash when resizing a window (Apple).
 771. Fix vbe module to not assume BIOS call results are zero-extended
      (Paulo Cesar Pereira de Andrade).
 770. Fix improper initialisation of pciConfigRec's.  Reported by Marcel
      Moolenaar (Marc La France).
 769. Fix intermittent XDarwin crash on Mac OS X 10.1.x when changing cursors
      on dual processor machines (Torrey T. Lyons).
 768. Correction to 'is' keymap (reported by Richard Allen).
 767. Fix GLX library mis-use of LockDisplay()/UnlockDisplay() sequences
      (reported by Alexis Vartanian).
 
XFree86 4.2.99.4 (20 January 2003)
Comment 6 Mike A. Harris 2003-02-03 11:17:41 EST
Doh, I set this to RAWHIDE again instead of MODIFIED.
Oh well... you get the idea..  ;o)
Comment 7 Harald Hoyer 2003-02-03 11:21:34 EST
ok, works...
Comment 8 David Lawrence 2006-04-24 15:21:32 EDT
Adding to blocker bug 185483 and also adding IBM confidential group.
Comment 9 David Lawrence 2006-04-24 15:40:11 EDT
Oops. I am sorry for these changes. I searched on the wrong bug list and
mistakenly made these changes. Removing from blocker bug 185483 and also
removing IBM confidential group.

Note You need to log in before you can comment on or make changes to this bug.